DtEditorInvokeFindChangeDialog(library call)

NAME
DtEditorInvokeFindChangeDialog — display the DtEditor widget dialog for searching and replacing text

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorInvokeFindChangeDialog(
Widget widget);

DESCRIPTION

The DtEditorInvokeFindChangeDialog function displays the Find/Change dialog for the DtEditor widget. This dialog enables a user to search for, and optionally replace, a string in the text for the DtEditor widget. It also allows the user to specify a replacement string, which can be substituted for either the next occurrence of the search string or all occurrences. The Find/Change dialog remains displayed until the user closes it. For a complete description of the Find/Change dialog see DtEditor.

Subsequent searches for the last search string entered can be made by calling DtEditorFind(3). Subsequent substitutions can be made with DtEditorChange(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorInvokeFindChangeDialog function returns no value.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorChange(3), DtEditorFind(3).